
# datasource config
spring.datasource.driver-class-name=com.taosdata.jdbc.TSDBDriver
spring.datasource.url=jdbc:TAOS://:/frequent?user=root&password=taosdata&charset=UTF-8&locale=en_US.UTF-8&timezone=UTC-8&batchErrorIgnore=true
spring.datasource.username=root
spring.datasource.password=taosdata

spring.restful.datasource.driver-class-name=com.taosdata.jdbc.rs.RestfulDriver
spring.restful.datasource.url=jdbc:TAOS-RS://172.16.1.173:16041/frequent?user=root&password=taosdata&charset=UTF-8&locale=en_US.UTF-8&timezone=UTC-8&batchfetch=true&httpConnectTimeout=60000&messageWaitTimeout=60000&httpPoolSize=10&maxSQLLength=1048576

tdengine.report.rest.url=jdbc:TAOS-RS://172.16.1.173:16041/statistics?user=root&password=taosdata&charset=UTF-8&locale=en_US.UTF-8&timezone=UTC-8&batchfetch=true&httpConnectTimeout=60000&messageWaitTimeout=60000&httpPoolSize=10&maxSQLLength=1048576
tdengine.report.url=jdbc:TAOS://:/statistics?user=root&password=taosdata&charset=UTF-8&locale=en_US.UTF-8&timezone=UTC-8
tdengine.report.username=root
tdengine.report.password=taosdata

spring.datasource.druid.initial-size=5
spring.datasource.druid.min-idle=5
spring.datasource.druid.max-active=5
# max wait time for get connection, ms
spring.datasource.druid.max-wait=60000

spring.datasource.druid.validation-query=select server_status();
spring.datasource.druid.validation-query-timeout=5000
spring.datasource.druid.test-on-borrow=false
spring.datasource.druid.test-on-return=false
spring.datasource.druid.test-while-idle=true
spring.datasource.druid.time-between-eviction-runs-millis=60000
spring.datasource.druid.min-evictable-idle-time-millis=600000
spring.datasource.druid.max-evictable-idle-time-millis=900000

# mybatis
mybatis.mapper-locations=classpath:mapper/*.xml
# mysql
mysql.driver=com.mysql.cj.jdbc.Driver
mysql.url=jdbc:mysql://172.16.4.11:3306/bigdata?useUnicode=true&characterEncoding=UTF-8&serverTimezone=UTC&zeroDateTimeBehavior=convertToNull&useInformationSchema=true&useSSL=false&allowMultiQueries=true
mysql.ip=172.16.4.11
mysql.username=bclduser
mysql.password=Bcuser@2024

# nrvp
nrvp.driver=com.mysql.cj.jdbc.Driver
nrvp.url=jdbc:mysql://172.16.4.11:3306/bigdata?useUnicode=true&characterEncoding=UTF-8&serverTimezone=UTC&zeroDateTimeBehavior=convertToNull&useInformationSchema=true&useSSL=false&allowMultiQueries=true
nrvp.ip=172.16.4.11
nrvp.username=bclduser
nrvp.password=Bcuser@2024
# Redis cluster config
spring.redis.cluster.nodes=\
  172.16.1.29:7001\
  ,172.16.1.10:7002\
  ,172.16.1.26:7003\
  ,172.16.1.25:7004\
  ,172.16.1.11:7005\
  ,172.16.1.19:7006
# log
logging.level.com.taosdata.jdbc.springbootdemo.dao=debug

config.url=http://172.16.1.245:8000/config.xml
geo.address=http://172.16.1.180:30600/geo/getPca

black.list=567006SHANG999999,YXXNYCE2022090101,567007YXCSA013002